BEGIN ~LHSIR1~

IF ~Global("Glenn1","GLOBAL",0)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 1
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN REPLY @4 GOTO 2
  IF ~~ THEN REPLY @5 GOTO 4
END

IF ~~ THEN BEGIN 2
  SAY @6
  IF ~~ THEN REPLY @7 DO ~SetGlobal("Glenn1","GLOBAL",1)
TakePartyItemAll("lhMIS1a")
GiveItemCreate("lhMIS1a",Player1,1,1,1)
TakePartyItemAll("lhMIS2a")
GiveItemCreate("lhMIS2a",Player1,1,1,1)
TakePartyItemAll("lhMIS3a")
GiveItemCreate("lhMIS3a",Player1,1,1,1)
TakePartyItemAll("lhMIS4a")
GiveItemCreate("lhMIS4a",Player1,1,1,1)
TakePartyItemAll("lhMIS5a")
GiveItemCreate("lhMIS5a",Player1,1,1,1)
TakePartyItemAll("lhMIS6a")
GiveItemCreate("lhMIS6a",Player1,1,1,1)
TakePartyItemAll("lhMIS7a")
GiveItemCreate("lhMIS7a",Player1,1,1,1)
TakePartyItemAll("lhMIS8a")
GiveItemCreate("lhMIS8a",Player1,1,1,1)
TakePartyItemAll("lhMIS9a")
GiveItemCreate("lhMIS9a",Player1,1,1,1)
TakePartyItemAll("lhMIS10a")
GiveItemCreate("lhMIS10a",Player1,1,1,1)
TakePartyItemAll("lhMIS11a")
GiveItemCreate("lhMIS11a",Player1,1,1,1)
TakePartyItemAll("lhMIS12a")
GiveItemCreate("lhMIS12a",Player1,1,1,1)
TakePartyItemAll("lhMIS13a")
GiveItemCreate("lhMIS13a",Player1,1,1,1)
TakePartyItemAll("lhMIS90a")
~ GOTO 3
END

IF ~~ THEN BEGIN 3
  SAY @8
  IF ~~ THEN DO ~EraseJournalEntry(99999)
AddJournalEntry(99998,2)
AddJournalEntry(99997,1)~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @9
  IF ~~ THEN EXIT
END

IF ~Global("Glenn1","GLOBAL",2)~ THEN BEGIN 5
  SAY @10
  IF ~~ THEN EXIT
END

IF ~Global("Glenn1","GLOBAL",1)~ THEN BEGIN 6
  SAY @11
  IF ~~ THEN REPLY @12 DO ~SetGlobal("Glenn1","GLOBAL",2)
TakePartyItemAll("lhMIS90a")
GiveItemCreate("lhMIS90a",Player1,1,1,1)~ GOTO 7
  IF ~~ THEN REPLY @13 GOTO 8
END

IF ~~ THEN BEGIN 7
  SAY @14
  IF ~~ THEN DO ~EraseJournalEntry(99997)
AddJournalEntry(99996,2)~ EXIT
END

IF ~~ THEN BEGIN 8
  SAY @15
  IF ~~ THEN EXIT
END
